Subject: Re: [ippm] Alissa Cooper's No Objection on draft-ietf-ippm-6man-pdm-option-09: (with COMMENT)

From: Spencer Dawkins at IETF <[email-masked]>
Date: Sun, 25 Jun 2017 14:09:13 -0500

Hi, Alissa,

On Mon, May 22, 2017 at 10:26 AM, Nalini J Elkins <
[email-masked]> wrote:

> Alissa,
>
> Please let me know if you are OK with the proposed change.
>

The change looks OK to me, but I'm not the expert on this. Could you let us
know what you think?

Thanks,

Spencer

>
>
>
>
> >Alissa Cooper has entered the following ballot position for
> >draft-ietf-ippm-6man-pdm-option-09: No Objection
>
>
> >Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
> >for more information about IESG DISCUSS and COMMENT positions.
>
>
> >The document, along with other ballot positions, can be found here:
> >https://datatracker.ietf.org/doc/draft-ietf-ippm-6man-pdm-option/
>
>
>
> >----------------------------------------------------------------------
> >COMMENT:
> >----------------------------------------------------------------------
>
> >The analysis in Sec 4.2 seems to be missing some considerations. In cases
> >where the packet payload is encrypted and the attacker does not have
> >access to the keys, the attacker does not in fact have access to the
> >entire packet, in which case PDM provides more information than a packet
> >without PDM. Also in those cases, it seems like including PDM information
> >would generally make a packet stream more susceptible to traffic analysis
> >insofar as the timing and sequence information may provide additional
> >indicators about the type of application in use, not just the speed of
> >the end host.
>
>
> Are you OK if I do the following:
>
>
> OLD
> ------
>  Since PDM passes in the clear, a concern arises as to whether the
>  data can be used to fingerprint the system or somehow obtain
>  information about the contents of the payload.
>
>  Let us discuss fingerprinting of the end host first. It is possible
>  that seeing the pattern of deltas or the absolute values could give
>  some information as to the speed of the end host - that is, if it is
>  a very fast system or an older, slow device.   This may be useful to
>  the attacker.  However, if the attacker has access to PDM, the
>  attacker also has access to the entire packet and could make such a
>  deduction based merely on the time frames elapsed between packets
>  WITHOUT PDM.
>
>  As far as deducing the content of the payload, it appears to us that
>  PDM is quite unhelpful in this regard.
>
>
>
> New
> ------
>
> Since PDM passes in the clear, a concern arises as to whether the
> data can be used to fingerprint the system or somehow obtain
> information about the contents of the payload.
>
> Let us discuss fingerprinting of the end host first. It is possible
> that seeing the pattern of deltas or the absolute values could give
> some information as to the speed of the end host - that is, if it is
> a very fast system or an older, slow device.   This may be useful to
> the attacker.  However, if the attacker has access to PDM, the
> attacker also has access to the entire packet and could make such a
> deduction based merely on the time frames elapsed between packets
> WITHOUT PDM.
>
> As far as deducing the content of the payload, it is conceivable
> that an attacker could attempt to deduce the type of application in
> use by noting the server time and payload length.   Having said that,
> some encryption algorithms attempt to obfuscate the packet length
> to avoid just such vulnerabilities.  In the future, encryption algorithms
> may wish to obfuscate the server time as well.
>
>
>
>

---

From: Alissa Cooper <[email-masked]>
Date: Fri, 30 Jun 2017 13:18:49 -0400

Thanks, this seems better to me.
Alissa

> On May 22, 2017, at 11:26 AM, Nalini J Elkins <[email-masked]> wrote:
> 
> Alissa,
> 
> >Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html <https://www.ietf.org/iesg/statement/discuss-criteria.html>
> >https://datatracker.ietf.org/doc/draft-ietf-ippm-6man-pdm-option/ <https://datatracker.ietf.org/doc/draft-ietf-ippm-6man-pdm-option/>
> 
> 
>